FORUMS
Remove All Ads from XDA

Can Bluetooth 2.1 on Galaxy Ace S5830 be updated to 4.1?

45 posts
Thanks Meter: 8
 
By TakuSkan, Member on 15th November 2017, 10:07 PM
Post Reply Email Thread
Hi. I haven't been able to track down an answer to this so I thought I'd post the question here. I have an old Samsung Galaxy Ace S5830 (actually S5830L) running Android 2.3.4 Gingerbread UBKP7 that I rooted several years ago. I'm wondering if it's at all possible to upgrade Bluetooth on it from 2.1 to 4.1 to support newer earbuds. I haven't really worked on Android systems since I rooted this phone, so I'm not very familiar with the processes anymore.
Thanks for any feedback on this folks.
 
 
3rd December 2017, 06:47 PM |#2  
kihope12's Avatar
Senior Member
Flag České Budějovice
Thanks Meter: 285
 
More
No, since it isnt sofware but hardwere
4th December 2017, 04:51 AM |#3  
TakuSkan's Avatar
OP Member
Thanks Meter: 8
 
More
Quote:
Originally Posted by kihope12

No, since it isnt sofware but hardwere

Thanks for your feedback on this kihope12. I was wondering if that may be the case.

However I did see an article somewhere outside of the XDA forums here that indicated the S5830's firmware could be updated to Android V4.3 jellybean via a custom ROM. Apparently it would update to Bluetooth LE.

Maybe someone here could help point me to a trusted guide on that if it's acually possible.
13th February 2018, 07:08 PM |#4  
Junior Member
Thanks Meter: 1
 
More
BTLE is AFAIK very different from "normal" bluetooth, using different modulations etc., which I doubt the Ace has the hardware for decoding for.
The newer versions of android might support newer regular bluetooth protocols, but I doubt even that, as AFAIK the bluetooth capabilitys are determined by closed-source binary blobs.
Shouldn't stop you from trying though!
19th August 2018, 08:51 AM |#5  
TakuSkan's Avatar
OP Member
Thanks Meter: 8
 
More
Hah! Forgot what I wanted a newer Bluetooth version for. >Earbuds< Yes. Had to come here again to find out why now that I finally have a newish phone with Marshmallow 6.0.1. Under "Bluetooth Share" under "All Apps", the Bluetooth version is listed as 6.0.1. But as far as I can find online, Bluetooth is only up to v5 at this point. No matter. I'd guess most any BT Earbuds should work fine with this new toy now. Was one of the last holdouts with an old S5830.
15th October 2018, 04:21 PM |#6  
Junior Member
Flag Bialystok
Thanks Meter: 22
 
Donate to Me
More
In order to not misleading other people, some things must be clarified here. Some guys on Reddit says they even have "Bluetooth 9" and point to this thread.
Quote:
Originally Posted by TakuSkan

(...) the Bluetooth version is listed as 6.0.1.(...)

It's app version, but not a Bluetooth spec. version! Some system apps have same version like Android. To check Bluetooth version use app like AIDA64 or simply check smartphone spec online
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes